#!/bin/sh
set -ev

# Remove service
rc-update del opendatakit || true
rm -f /etc/init.d/opendatakit
rc-update -u

# Drop database and user
if [ -e /etc/init.d/postgres ]; then
    [ ! -e /run/openrc/started/postgres ] && service postgres start && STOP_POSTGRES=1
    echo 'DROP DATABASE opendatakit; DROP ROLE opendatakit;' | lxc-attach -u 5432 -g 5432 postgres -- psql
    [ ! -z ${STOP_POSTGRES} ] && service postgres stop
fi

exit 0
