#!/bin/sh
set -ev

# Remove cronjob
rm -f /etc/periodic/15min/ushahidi

# Remove service
rc-update del ushahidi || true
rm -f /etc/init.d/ushahidi
rc-update -u

# Drop database and user
if [ -e /etc/init.d/mariadb ]; then
    [ ! -e /run/openrc/started/mariadb ] && service mariadb start && STOP_MARIADB=1
    echo 'DROP DATABASE ushahidi; DROP USER ushahidi;' | lxc-attach mariadb -- mysql
    [ ! -z ${STOP_MARIADB} ] && service mariadb stop
fi

exit 0
